import module namespace rsrsss = "https://envs.net/~lucidiot/rsrsss/rsrsss-functions" at "../functions.xqy";

rsrsss:make-opml(
  "Alert-Hub.org CAP alert feeds",
  (
    <outline text="Sources">
      {
        json(fn:unparsed-text("https://alert-hub-sources.s3.amazonaws.com/json"))/sources/source[capAlertFeedStatus != "bypassed"]
        ! <outline
            type="rss"
            xml:id="{sourceId}"
            text="{byLanguage/name[1]}"
            xmlUrl="{capAlertFeed}"
            htmlUrl="{registerUrl}"
          />
      }
    </outline>,
    <outline text="Generated feeds">
      {
        json(fn:unparsed-text("https://alert-hub-subscriptions.s3.amazonaws.com/json"))//subscriptions/subscription
        ! <outline
            type="rss"
            xml:id="{subscriptionId}"
            text="{subscriptionName}"
            title="{subscriptionName}"
            xmlUrl="{subscriptionUrl}"
            version="RSS"
            description="{fn:parse-xml(feedRssXml)/rss/channel/description}"
          />
      }
    </outline>
  )
)
