import module namespace rsrsss = "https://envs.net/~lucidiot/rsrsss/rsrsss-functions" at "../functions.xqy";

rsrsss:make-opml(
  "Chicago Transit Authority RSS feeds",
  (: Open the CTA RSS feeds page and grab the list items. :)
  doc('https://www.transitchicago.com/rss/default.aspx')//ul[@class="rsslist"]/li
  ! <outline text="{substring-after(a/normalize-space(text()), 'All ')}">
    {
      (., ul/li)
      ! <outline
          type="rss"
          version="RSS"
          text="{a/normalize-space(text())}"
          xmlUrl="{resolve-uri(a/@href, 'https://www.transitchicago.com/rss/default.aspx')}"
          language="en-us"
        />
    }
  </outline>
)
