xquery version "3.0" encoding "utf-8";
import module namespace rsrsss = "https://envs.net/~lucidiot/rsrsss/rsrsss-functions" at "../../functions.xqy";

rsrsss:make-opml(
    "National Data Buoy Center RSS feeds",
    <outline
      type="rss"
      version="RSS"
      text="All observations"
      xmlUrl="https://www.ndbc.noaa.gov/rss/ndbc_obs_search.php?lat=0N&amp;lon=0E&amp;radius=11000"
      language="en-us"
    />
    {
      doc("https://www.ndbc.noaa.gov/data/latest_obs/")//a[ends-with(@href, ".rss")]
      ! <outline
          type="rss"
          version="RSS"
          text="{upper-case(substring-before(text(), '.rss'))}"
          xmlUrl="{resolve-uri(@href)}"
          language="en-us"
        />
    }
)
